Get Code Contribution
GET/api/v5/:owner/:repo/repository/commit_statistics
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
User authorization code
branch_name stringrequired
branch name
author string
Author username
only_self boolean
Query Individual
since string
Return only commits on or after this date.
until string
Return only commits up to and including this date.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
- Array [
- ]
commits object[]
author_namestring
datestring
statistics object[]
project_idinteger
branchstring
user_namestring
nick_namestring
add_linesinteger
delete_linesinteger
commit_countinteger
totalinteger
{
"commits": [
{
"author_name": "string",
"date": "string"
}
],
"statistics": [
{
"project_id": 0,
"branch": "string",
"user_name": "string",
"nick_name": "string",
"add_lines": 0,
"delete_lines": 0,
"commit_count": 0
}
],
"total": 0
}
{
"commits": [
{
"author_name": "tester",
"date": "2024-11-12"
},
{
"author_name": "tester",
"date": "2024-01-15"
}
],
"statistics": [
{
"project_id": 1359,
"branch": "main",
"user_name": "tester",
"nick_name": "testing",
"add_lines": 4370,
"delete_lines": 351,
"commit_count": 123
}
],
"total": 1
}